# Class AccessGrant

Namespace
  adas_core.Domain.Models.Recording

Assembly
  adas-core.Domain.dll

Represents a grant of access, typically used to convey permissions or authorization rights within a system.

    public class AccessGrant

Inheritance
  object
  AccessGrant

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AccessToken

    public string? AccessToken { get; set; }

#### Property Value

string

### Expires

    public DateTime Expires { get; }

#### Property Value

DateTime

### ExpiresIn

    public int ExpiresIn { get; set; }

#### Property Value

int

### IsExpired

    public bool IsExpired { get; }

#### Property Value

bool

### Scope

    public string? Scope { get; set; }

#### Property Value

string

### TokenType

    public string? TokenType { get; set; }

#### Property Value

string